Class | Hpricot::Elem
In: | lib/merb-core/test/test_ext/hpricot.rb
Parent: | Object

yehudakatz.com/2007/01/27/a-better-assert_select-assert_elements/ based on assert_elements Author: Yehuda Katz Email: wycats @nospam@ gmail.com Web: www.yehudakatz.com

which was based on HpricotTestHelper Author: Luke Redpath Email: contact @nospam@ lukeredpath.co.uk Web: www.lukeredpath.co.uk / opensource.agileevolved.com

### Methods

contain? contains? inner_text match? matches?

### Public Instance methods

contain?(value)
contains?(value)

Alias for contain?

inner_text()

courtesy of ‘thomas’ from the comments of _whys blog - get in touch if you want a better credit!

match?(regex)
matches?(regex)

Alias for match?

[Validate]